<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Nexpose|Import Nexpose Data">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to import Nexpose data. " /><title>Importing Nexpose Data</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#10-nexpose/importing-nexpose-data.html">Open topic with navigation</a>
        </p>
        <h2>Importing Nexpose Data</h2>
        <p>You can import data from&#160;Nexpose if you have a site that you have already scanned and want to bring those assets into <span class="VariablesProductName">Metasploit Pro</span> for further testing. You can either import a site from a Nexpose Console or you can import an scan data from a&#160;Nexpose XML export. </p>
        <p class="leadin">To import a Nexpose XML export:</p>
        <ol start="1">
            <li value="1">Open the project that you want to import data into. </li>
            <li value="2">From the Tasks bar, click the <b class="UISelection">Import</b> button. The <b class="UISelection">Import Data</b> page appears.</li>
        </ol>
        <ol data-mc-continue="true">
            <li value="3">Click the <b class="UISelection">Choose File</b> button to find the file you want to import. The <b class="UISelection">File Upload</b> window appears. </li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span><span class="VariablesProductName">Metasploit Pro</span> supports the following Nexpose export types: XML Export, XML Export 2.0, and Nexpose Simple XML Export.</p>
        <ol data-mc-continue="true">
            <li value="4">Find and choose the Nexpose export you want to import. </li>
            <li value="5">Click <b class="UISelection">Open</b> after you select the file. 
</li>
            <li value="6">If you want to specify an exclusion list, enter the target addresses that you do not want to import in the <b class="UISelection">Exclude Addresses</b> field. </li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>You can enter a single IP address, an address range, or a CIDR notation. If there are multiple addresses or address ranges, use a newline to separate each entry.</p>
        <ol data-mc-continue="true">
            <li value="7"> 
Select <b class="UISelection">Do not change existing hosts</b> if you do not want subsequent scans to modify the host information.</li>
            <li value="8">Select if you want <span class="VariablesProductName">Metasploit Pro</span> to automatically tag hosts with their OS as the system imports them. 
</li>
            <li value="9">Enable any additional tags that you want to assign to the assets. 
</li>
            <li value="10">Import the data. </li>
        </ol>
        <p class="leadin">To import data from a Nexpose site:</p>
        <ol start="1">
            <li value="1">Verify that you have a Nexpose Console configured globally. </li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>For more information on configuring a Nexpose Console, <MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> see <a href="configuring-nexpose-console.html" target="_blank">Configuring a Nexpose Console.</a></MadCap:conditionalText></p>
        <ol start="1">
            <li value="1">Open the project that you want to import data into. </li>
        </ol>
        <ol data-mc-continue="true">
            <li value="2">From the Tasks bar, click the <b class="UISelection">Import</b> button. The <b class="UISelection">Import Data</b> page appears.</li>
        </ol>
        <ol data-mc-continue="true">
            <li value="3">Click the <b class="UISelection">Choose File</b> button to find the file you want to import. The <b class="UISelection">File Upload</b> window appears. </li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span><span class="VariablesProductName">Metasploit Pro</span> supports the following Nexpose export types: XML Export, XML Export 2.0, and Nexpose Simple XML Export.</p>
        <ol data-mc-continue="true">
            <li value="4">Find and choose the Nexpose export you want to import. </li>
            <li value="5">Click <b class="UISelection">Open</b> after you select the file. 
</li>
            <li value="6">If you want to specify an exclusion list, enter the target addresses that you do not want to import in the <b class="UISelection">Exclude Addresses</b> field. </li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>You can enter a single IP address, an address range, or a CIDR notation. If there are multiple addresses or address ranges, use a newline to separate each entry.</p>
        <ol data-mc-continue="true">
            <li value="7"> 
Select <b class="UISelection">Do not change existing hosts</b> if you do not want subsequent scans to modify the host information.</li>
            <li value="8">Select if you want <span class="VariablesProductName">Metasploit Pro</span> to automatically tag hosts with their OS as the system imports them. 
</li>
            <li value="9">Enable any additional tags that you want to assign to the assets. 
</li>
            <li value="10">Import the data. </li>
        </ol>
    </body>
</html>